Bug 1076853 - unalz bundles bzip2
Summary: unalz bundles bzip2
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: unalz (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: DuplicSysLibsTracker
TreeView+ depends on / blocked
 
Reported: 2014-03-15 19:14 UTC by Ville Skyttä
Modified: 2014-03-25 06:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 13:51:39 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2014-03-15 19:14:54 UTC
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

unalz is using a bundled copy of bzip2.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/unalz/0.65/8.fc20/x86_64/unalz-debuginfo-0.65-8.fc20.x86_64.rpm | grep /bzip2
/usr/src/debug/unalz/bzip2
/usr/src/debug/unalz/bzip2/blocksort.c
/usr/src/debug/unalz/bzip2/bzlib.h
/usr/src/debug/unalz/bzip2/bzlib_private.h
/usr/src/debug/unalz/bzip2/compress.c
/usr/src/debug/unalz/bzip2/crctable.c
/usr/src/debug/unalz/bzip2/huffman.c
/usr/src/debug/unalz/bzip2/randtable.c

Comment 1 Petr Pisar 2014-03-17 15:21:14 UTC
It's not possible to unbundle the bzip2 library as the tool modifies the sources (especially the decompression routines) to implement the ALZip format.

I'm going to remove this package from Fedora.

Comment 2 Petr Pisar 2014-03-17 15:39:27 UTC
Package removal advertisement <http://permalink.gmane.org/gmane.linux.redhat.fedora.devel/193749>.

Comment 3 Petr Pisar 2014-03-24 13:51:39 UTC
Package has been marked as dead with commit 4e72cad54708998ec43842e2d85acb32a51e24d6. Package has been retired in F21.

Comment 4 Petr Pisar 2014-03-25 06:57:35 UTC
Request to block the package in koji <https://fedorahosted.org/rel-eng/ticket/5872>.


Note You need to log in before you can comment on or make changes to this bug.